# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.require_version ">= 1.6.0"
VAGRANTFILE_API_VERSION = "2"

Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|

  # config.vm.box = "ubuntu/trusty64"
  config.vm.box = "ubuntu/xenial64"
  config.vm.provision "file", source: "~/.ssh/id_rsa.pub", destination: "~/.ssh/local.pub"
  config.vm.provision "shell", inline: "cat ~vagrant/.ssh/local.pub >> ~vagrant/.ssh/authorized_keys"
  config.vm.provision :shell, path: "provision.sh", :privileged => true
  config.vm.provider "virtualbox" do |vb|
    vb.cpus = 1
    vb.memory = 2048
  end

  config.vm.define :node1 do |node|
    node.vm.hostname = "node1"
    node.vm.network "private_network", ip: "192.168.56.11"
  end

  config.vm.define :node2 do |node|
    node.vm.hostname = "node2"
    node.vm.network "private_network", ip: "192.168.56.12"
  end

  config.vm.define :node3 do |node|
    node.vm.hostname = "node3"
    node.vm.network "private_network", ip: "192.168.56.13"
  end

end
